# Type Alias Rights

type Rights = {
administrate: boolean;
comment: boolean;
create: boolean;
createNewVersion?: boolean;
delete: boolean;
generateRendition?: boolean;
member?: boolean;
onlyOffice?: boolean;
publish: boolean;
read: boolean;
update: boolean;
versioning?: boolean;
}

- Defined in jamespot-user-api/src/types/common.ts:4

##### Index

### Properties

administrate
comment
create
createNewVersion?
delete
generateRendition?
member?
onlyOffice?
publish
read
update
versioning?

## Properties

### administrate

administrate: boolean

- Defined in jamespot-user-api/src/types/common.ts:8

### comment

comment: boolean

- Defined in jamespot-user-api/src/types/common.ts:11

### create

create: boolean

- Defined in jamespot-user-api/src/types/common.ts:5

### `Optional` createNewVersion

createNewVersion?: boolean

- Defined in jamespot-user-api/src/types/common.ts:13

### delete

delete: boolean

- Defined in jamespot-user-api/src/types/common.ts:10

### `Optional` generateRendition

generateRendition?: boolean

- Defined in jamespot-user-api/src/types/common.ts:15

### `Optional` member

member?: boolean

- Defined in jamespot-user-api/src/types/common.ts:12

### `Optional` onlyOffice

onlyOffice?: boolean

- Defined in jamespot-user-api/src/types/common.ts:16

### publish

publish: boolean

- Defined in jamespot-user-api/src/types/common.ts:7

### read

read: boolean

- Defined in jamespot-user-api/src/types/common.ts:6

### update

update: boolean

- Defined in jamespot-user-api/src/types/common.ts:9

### `Optional` versioning

versioning?: boolean

- Defined in jamespot-user-api/src/types/common.ts:14